<?php

/**
 * @version     1.0.0
 * @package     com_resonlinebooking
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      binhk32xp <binhk32xp@gmail.com> - http://eku.com
 */
// No direct access
defined('_JEXEC') or die;

/**
 * Resonlinebooking helper.
 */
class ResonlinebookingHelper {

    /**
     * Configure the Linkbar.
     */
    public static function addSubmenu($vName = '') {
        		JSubMenuHelper::addEntry(
			JText::_('COM_RESONLINEBOOKING_TITLE_BOOKINGLIST'),
			'index.php?option=com_resonlinebooking&view=bookinglist',
			$vName == 'bookinglist'
		);

    }

    /**
     * Gets a list of the actions that can be performed.
     *
     * @return	JObject
     * @since	1.6
     */
    public static function getActions() {
        $user = JFactory::getUser();
        $result = new JObject;

        $assetName = 'com_resonlinebooking';

        $actions = array(
            'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.own', 'core.edit.state', 'core.delete'
        );

        foreach ($actions as $action) {
            $result->set($action, $user->authorise($action, $assetName));
        }

        return $result;
    }


}
